=== debian/changelog ===
roct-thunk-interface (5.7.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:59:10 +1100

roct-thunk-interface (5.7.0-1) unstable; urgency=medium

  * Migrate ROCm 5.7.0 to unstable.
  * d/control: add self to uploaders
  * d/control: update Build-Depends from pkg-config to pkgconf

 -- Cordell Bloor <cgmb@slerp.xyz>  Thu, 22 Feb 2024 10:38:37 -0700

roct-thunk-interface (5.7.0-1~exp1) experimental; urgency=medium

  * Team upload.

  * Add missing symbols: hsaKmtWaitOnEvent_Ext,
    hsaKmtWaitOnMultipleEvents_Ext, hsaKmtReplaceAsanHeaderPage,
    and hsaKmtReturnAsanHeaderPage.
  * d/rules: disable upstream logic for duplicating headers
  * Remove incorrect support information from package description
  * Update standards version
  * Update upstream URL

 -- Cordell Bloor <cgmb@slerp.xyz>  Tue, 09 Jan 2024 02:24:11 -0700

roct-thunk-interface (5.7.0-1~exp0) experimental; urgency=medium

  * New upstream version 5.7.0
  * Remove build-shlib patch in favor of cmake definition.
  * Rebase existing patches.
  * Refresh symbols control file.

 -- Mo Zhou <lumin@debian.org>  Sat, 16 Sep 2023 20:59:49 -0400

roct-thunk-interface (5.4.0-1~0exp0) experimental; urgency=medium

  * New upstream version 5.4.0
  * d/copyright: no more files excluded.
  * d/watch: remove logic around +dfsg version.
  * d/libhsakmt1.symbols: new symbols introduced.

 -- Étienne Mollier <emollier@debian.org>  Fri, 02 Dec 2022 17:19:41 +0100
