=== debian/control ===
Source: roct-thunk-interface
Section: devel
Homepage: https://github.com/ROCm/ROCT-Thunk-Interface
Priority: optional
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rocm-team/roct-thunk-interface.git
Vcs-Browser: https://salsa.debian.org/rocm-team/roct-thunk-interface
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: ROCm Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Maxime Chambonnet <maxzor@maxzor.eu>,
           Étienne Mollier <emollier@debian.org>,
           Cordell Bloor <cgmb@slerp.xyz>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libdrm-dev,
               libnuma-dev,
               libudev-dev,
               pkgconf,
               zlib1g-dev,
Rules-Requires-Root: no

Package: libhsakmt1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Thunk library for AMD KFD (shlib)
 This package includes the user-mode API interfaces used to interact with the
 ROCk driver.
 .
 This package contains the shared object.

Package: libhsakmt-dev
Section: libdevel
Architecture: any
Depends: libhsakmt1 (= ${binary:Version}), ${misc:Depends},
Multi-Arch: same
Description: Thunk library for AMD KFD (dev)
 This package includes the user-mode API interfaces used to interact with the
 ROCk driver.
 .
 This package contains the development files.
