=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%roct-thunk-interface-$1.tar.gz%" \
https://github.com/ROCm/ROCT-Thunk-Interface/tags \
(?:.*?/)?rocm-v?(\d[\d.]*)\.tar\.gz debian uupdate
