=== tests/kfdtest/CMakeLists.txt ===
--- 
+++ 
@@ -167,6 +167,7 @@
 
   src/AqlQueue.cpp
   src/BasePacket.cpp
+  src/BaseDebug.cpp
   src/BaseQueue.cpp
   src/Dispatch.cpp
   src/GoogleTestExtension.cpp
@@ -195,6 +196,7 @@
   src/KFDExceptionTest.cpp
   src/KFDGraphicsInterop.cpp
   src/KFDPerfCounters.cpp
+  src/KFDDBGTest.cpp
   src/KFDGWSTest.cpp
   src/KFDIPCTest.cpp
   src/KFDASMTest.cpp
