=== debian/changelog ===
roct-thunk-interface (6.1.2+ds-1~exp1) experimental; urgency=medium

  * Make d/watch use the GitHub JSON API
  * d/copyright: Add Upstream-Name
  * Drop vendored copy of GTest
    In doing so, add the +ds suffix to the upstream version

 -- Christian Kastner <ckk@debian.org>  Tue, 24 Sep 2024 22:55:30 +0200

roct-thunk-interface (6.1.2-1~exp1) experimental; urgency=medium

  [ Xuanteng Huang]
  * New upstream version 6.1.2
  * Drop the missing symbols patch, which is included in upstream
  * Refresh patches
  * New symbols added to d/symbols, including hsaKmtDebugTrapIoctl
    and hsaKmtGetAMDGPUDeviceHandle
  * Add myself to Uploaders

  [ Christian Kastner ]
  * Add myself to Uploaders

 -- Xuanteng Huang <xuanteng.huang@outlook.com>  Sun, 18 Aug 2024 20:58:05 +0800
