=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: devel
 Homepage: https://github.com/ROCm/ROCT-Thunk-Interface
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rocm-team/roct-thunk-interface.git
 Vcs-Browser: https://salsa.debian.org/rocm-team/roct-thunk-interface
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ROCm Team <debian-ai@lists.debian.org>
+Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Maxime Chambonnet <maxzor@maxzor.eu>,
            Étienne Mollier <emollier@debian.org>,
-           Cordell Bloor <cgmb@slerp.xyz>
+           Cordell Bloor <cgmb@slerp.xyz>,
+           Xuanteng Huang <xuanteng.huang@outlook.com>,
+           Christian Kastner <ckk@debian.org>,
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libdrm-dev,
