=== debian/watch ===
version=4
opts="filenamemangle=s%.*/rocm-@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain,repacksuffix=+ds,dversionmangle=auto" \
    https://api.github.com/repos/ROCm/ROCT-Thunk-Interface/tags?per_page=100 \
    https://api.github.com/repos/ROCm/ROCT-Thunk-Interface/tarball/refs/tags/rocm-@ANY_VERSION@
