## roct-thunk-interface 6.2.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
 set ( HSAKMT_PACKAGE "hsakmt-roct" )
 set ( HSAKMT_COMPONENT "lib${HSAKMT}" )
 set ( HSAKMT_TARGET "${HSAKMT}" )
+set(HSAKMT_STATIC_DRM_TARGET "${HSAKMT_TARGET}-staticdrm")
 
 project ( ${HSAKMT_TARGET} VERSION 1.9.0)
 
@@ -130,7 +131,8 @@
                  "src/rbtree.c"
                  "src/spm.c"
                  "src/version.c"
-                 "src/svm.c")
+                 "src/svm.c"
+                 "src/pc_sampling.c")
 
 ## Declare the library target name
 add_library ( ${HSAKMT_TARGET} "")
@@ -170,13 +172,13 @@
 
 # The module name passed to pkg_check_modules() is determined by the
 # name of file *.pc
-pkg_check_modules(DRM REQUIRED libdrm)
-pkg_check_modules(DRM_AMDGPU REQUIRED libdrm_amdgpu)
+pkg_check_modules(DRM REQUIRED IMPORTED_TARGET libdrm)
+pkg_check_modules(DRM_AMDGPU REQUIRED IMPORTED_TARGET libdrm_amdgpu)
 include_directories(${DRM_AMDGPU_INCLUDE_DIRS})
 include_directories(${DRM_INCLUDE_DIRS})
 
 target_link_libraries ( ${HSAKMT_TARGET}
-  PRIVATE ${DRM_LDFLAGS} ${DRM_AMDGPU_LDFLAGS} pthread rt c numa
+  PRIVATE ${DRM_LDFLAGS} ${DRM_AMDGPU_LDFLAGS} pthread rt c numa ${CMAKE_DL_LIBS}
 )
 
 target_compile_options(${HSAKMT_TARGET} PRIVATE ${DRM_CFLAGS} ${HSAKMT_C_FLAGS})
@@ -208,7 +210,7 @@
 #install ( FILES ${CMAKE_CURRENT_SOURCE_DIR}/LICENSE.md DESTINATION ${CMAKE_INSTALL_DOCDIR} COMPONENT devel )
 
 # Install public headers
-install ( DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${HSAKMT_TARGET}
+install ( DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/${HSAKMT_TARGET} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
   COMPONENT devel PATTERN "linux" EXCLUDE )
 
 # Option to build header path migration helpers.
@@ -287,12 +289,5 @@
 
 install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/libhsakmt.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig COMPONENT devel)
 
-###########################
-# Packaging directives
-###########################
-# Use component packaging
-set(CPACK_COMPONENTS_GROUPING IGNORE)
-set(CPACK_DEB_COMPONENT_INSTALL ON)
-set(CPACK_RPM_COMPONENT_INSTALL ON)
-set(CPACK_PACKAGE_VENDOR "Advanced Micro Devices, Inc.")
-set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
+## Create separate target file for static builds
+## In static builds, libdrm and libdrm_amdgpu need to be linked statically
