=== tests/kfdtest/CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
 set ( CPACK_PACKAGE_VERSION_MAJOR "1" )
 set ( CPACK_PACKAGE_VERSION_MINOR "0" )
 set ( CPACK_PACKAGE_VERSION_PATCH "0" )
-set ( CPACK_PACKAGE_HOMEPAGE_URL "https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface" )
+set ( CPACK_PACKAGE_HOMEPAGE_URL "https://github.com/ROCm/ROCT-Thunk-Interface" )
 set ( CPACK_DEBIAN_FILE_NAME "DEB-DEFAULT")
 set ( CPACK_RPM_FILE_NAME "RPM-DEFAULT")
 
@@ -82,7 +82,7 @@
 set ( CPACK_GENERATOR "DEB;RPM"  CACHE STRING "Default packaging generators." )
 
 # Debian package specific variables
-set ( CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface" )
+set ( CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://github.com/ROCm/ROCT-Thunk-Interface" )
 set (CPACK_DEBIAN_PACKAGE_DEPENDS "rocm-core")
 
 # RPM package specific variables
@@ -154,7 +154,11 @@
 separate_arguments(LLVM_DEFINITIONS_LIST NATIVE_COMMAND ${LLVM_DEFINITIONS})
 add_definitions(${LLVM_DEFINITIONS_LIST})
 
-llvm_map_components_to_libnames(llvm_libs AMDGPUAsmParser Core Support)
+if (LLVM_LINK_LLVM_DYLIB)
+  set(llvm_libs LLVM)
+else()
+  llvm_map_components_to_libnames(llvm_libs AMDGPUAsmParser Core Support)
+endif()
 
 include_directories(${PROJECT_SOURCE_DIR}/gtest-1.6.0)
 include_directories(${PROJECT_SOURCE_DIR}/include)
@@ -208,6 +212,7 @@
   src/KFDSVMRangeTest.cpp
   src/KFDSVMEvictTest.cpp
   src/KFDRASTest.cpp
+  src/KFDPCSamplingTest.cpp
   src/RDMATest.cpp)
 
 message( STATUS "PROJECT_SOURCE_DIR:" ${PROJECT_SOURCE_DIR} )
