=== debian/changelog ===
roct-thunk-interface (6.2.4+ds-1) unstable; urgency=medium

  [ Christian Kastner ]
  * salsa-ci: Replace includes with canonical include
  * salsa-ci: Disable i386 build

  [ Mario Limonciello ]
  * New upstream version 6.2.4+ds
  * Add a patch to disable the generation of static libs
  * d/control: Add Mario to uploaders

 -- Mario Limonciello <superm1@gmail.com>  Tue, 04 Feb 2025 14:48:04 -0600

roct-thunk-interface (6.1.2+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * Limit Architecture to amd64, arm64, ppc64el.

 -- Christian Kastner <ckk@debian.org>  Thu, 26 Sep 2024 18:29:18 +0200
