=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
            Cordell Bloor <cgmb@slerp.xyz>,
            Xuanteng Huang <xuanteng.huang@outlook.com>,
            Christian Kastner <ckk@debian.org>,
+           Mario Limonciello <superm1@gmail.com>,
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libdrm-dev,
@@ -24,7 +25,7 @@
 
 Package: libhsakmt1
 Section: libs
-Architecture: any
+Architecture: amd64 arm64 ppc64el
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Thunk library for AMD KFD (shlib)
@@ -35,7 +36,7 @@
 
 Package: libhsakmt-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 ppc64el
 Depends: libhsakmt1 (= ${binary:Version}), ${misc:Depends},
 Multi-Arch: same
 Description: Thunk library for AMD KFD (dev)
